Holger's Java API

## com.antelmann.util
Interface ListRetriever<T>

All Known Implementing Classes:
  AbstractObjectTableModel, EmailTableModel, JFilteredTableComponent, JListSelection, JMessageTable, JPopMessageTable, JSearchList, JTagEditor, LicenseTableModel, MessageTableModel, MethodTableModel, PatternTableModel, PropertyEntryTableModel

    public interface ListRetriever<T>

to be implemented by classes that are to provide a special list of objects that are flexibly generated at runtime.

Author:
  Holger Antelmann
See Also:
  `ValueRetriever`

Method Summary
`List<T>` `getRelevantList()` returns the currently relevant list of the denotes objects
`String` `getRelevantListDescription()`

Method Detail

### getRelevantList

    List<T> getRelevantList()
                            throws IOException

  returns the currently relevant list of the denotes objects

  Throws:
    `IOException`

### getRelevantListDescription

    String getRelevantListDescription()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads